Perfstat.perfstat_protocol_t.AnonymousStructNFSv3 (JNA API)

com.sun.jna.platform.unix.aix

## Class Perfstat.perfstat_protocol_t.AnonymousStructNFSv3

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.aix.Perfstat.perfstat_protocol_t.AnonymousStructNFSv3

- Enclosing class:
    Perfstat.perfstat_protocol_t

      @Structure.FieldOrder(value={"client","server"})
      public static class Perfstat.perfstat_protocol_t.AnonymousStructNFSv3
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Perfstat.perfstat_protocol_t.AnonymousStructNFSv3client` | `client`
    `Perfstat.perfstat_protocol_t.AnonymousStructNFSv3server` | `server`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnonymousStructNFSv3()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### client

          public Perfstat.perfstat_protocol_t.AnonymousStructNFSv3client client

    - #### server

          public Perfstat.perfstat_protocol_t.AnonymousStructNFSv3server server

  - ### Constructor Detail

    - #### AnonymousStructNFSv3

          public AnonymousStructNFSv3()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.